TestSuiteSpec (Gradle API 9.7.1)
Description: declaration: package: org.gradle.testing.base, interface: TestSuiteSpec

# Interface TestSuiteSpec

All Superinterfaces:
  `ComponentSpec, GeneralComponentSpec, ModelElement, Named, SourceComponentSpec, VariantComponent, VariantComponentSpec`

All Known Subinterfaces:
  `CUnitTestSuiteSpec, GoogleTestTestSuiteSpec, NativeTestSuiteSpec`

@Incubating @Deprecated public interface TestSuiteSpec extends GeneralComponentSpec
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
A component representing a suite of tests that will be built and executed together.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ComponentSpec`
  `getTestedComponent()`
  Deprecated.
  The tested component.
  `void`
  `setTestedComponent(ComponentSpec testedComponent)`
  Deprecated.
  Sets the tested component.
  `void`
  `testing(ComponentSpec testedComponent)`
  Deprecated.
  Sets the tested component.

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName`

  ### Methods inherited from interface SourceComponentSpec

  `getSources`

  ### Methods inherited from interface VariantComponent

  `getName, getVariants`

  ### Methods inherited from interface VariantComponentSpec

  `getBinaries`

- ## Method Details

  - ### getTestedComponent

    ComponentSpec getTestedComponent()
    Deprecated.
    The tested component.

  - ### setTestedComponent

    void setTestedComponent(ComponentSpec testedComponent)
    Deprecated.
    Sets the tested component.
    Parameters:
      `testedComponent` - the component under test

  - ### testing

    void testing(ComponentSpec testedComponent)
    Deprecated.
    Sets the tested component.
    Parameters:
      `testedComponent` - the component under test